| netctlgui 1.4.7 Qt library which interacts with netctl

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

NetctlProfile Member List

This is the complete list of members for NetctlProfile, including all inherited members.

copyProfile(const QString oldPath) | NetctlProfile |
createProfile(const QString profile, const QMap< QString, QString > settings) | NetctlProfile |
getRecommendedConfiguration() | NetctlProfile | static
getSettingsFromProfile(const QString profile) | NetctlProfile |
getValueFromProfile(const QString profile, const QString key) | NetctlProfile |
getValuesFromProfile(const QString profile, const QStringList keys) | NetctlProfile |
NetctlProfile(const bool debugCmd=false, const QMap< QString, QString > settings=QMap< QString, QString >()) | NetctlProfile | explicit
removeProfile(const QString profile) | NetctlProfile |
~NetctlProfile() | NetctlProfile |